Bug 520920 - desktop-file.prov underquoted filename
Summary: desktop-file.prov underquoted filename
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 21:01 UTC by Edward Sheldrake
Modified: 2013-07-02 23:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-03 05:59:40 UTC


Attachments (Terms of Use)
Add the missing "" (404 bytes, patch)
2009-09-02 21:01 UTC, Edward Sheldrake
no flags Details | Diff

Description Edward Sheldrake 2009-09-02 21:01:32 UTC
Created attachment 359594 [details]
Add the missing ""

Description of problem:
desktop-file.prov doesn't handle .desktop files with spaces in the filename. From the build log for rss-glx at

http://kojipkgs.fedoraproject.org/packages/rss-glx/0.9.0.p/3.fc11/data/logs/i586/build.log

Processing files: rss-glx-gnome-screensaver-0.9.0.p-3.fc11.i586
cat: /builddir/build/BUILDROOT/rss-glx-0.9.0.p-3.fc11.i386/usr/share/applications/screensavers/rss-glx-skyrocket: No such file or directory
cat: 0.desktop: No such file or directory

rss-glx-gnome-screensaver contains
/usr/share/applications/screensavers/rss-glx-skyrocket -v 0.desktop

Version-Release number of selected component (if applicable):
rpm-4.7.1-1.fc11

How reproducible:
Always, unless rss-glx.spec gets adjusted.

Steps to Reproduce:
1. Read the build log for rss-glx.
2.
3.
  
Actual results:
desktop-file.prov doesn't handle filenames containing spaces.

Expected results:
desktop-file.prov can handle filenames with spaces, even if .desktop files probably shouldn't have them.

Additional info:
Fortunately the .desktop files for screensavers don't have any mimetypes. I didn't test the patch.

Comment 1 Jindrich Novy 2009-09-03 05:59:40 UTC
Applied upstream, thanks.


Note You need to log in before you can comment on or make changes to this bug.